<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Agora Chat Examples</title>
  <script type="module" src="main.js"></script>
  <!-- <link rel="stylesheet" href="style.css" type="text/css" /> -->
</head>

<body>
  <h2>Agora Chat Examples</h2>
  <form id="loginForm">
    <div class="input-field">
      <label>User ID</label>
      <input type="text" placeholder="User ID" id="userID" value="661f7435c7e55695d9b84b3a">
    </div>
    <div class="input-field">
      <label>Token</label>
      <input type="text" placeholder="Token" id="token" value="007eJxTYKjJu9ZYHnzaY3/6jPMnEvZ0mbmXrj9sydYcrJG/MUaANVmBwcLcMinVINXcyNTE1MTcMDXJyNTQNNnM2MjI0CzFxDht05L2tIZARoazClGMjAysDIxACOKrMJhZmKYkpyYa6BoZJybrGhqmpukmGpmZ6VokmRkbm1uam6VZJgIA/CYlyQ==">
    </div>
    <div>
      <button type="button" id="login">Login</button>
      <button type="button" id="logout">Logout</button>
    </div>
    <div class="input-field">
      <label>Peer user ID</label>
      <input type="text" placeholder="Peer user ID" id="peerId">
    </div>
    <div class="input-field">
      <label>Peer Message</label>
      <input type="text" placeholder="Peer message" id="peerMessage">
      <button type="button" id="send_peer_message">send</button>
    </div>
  </form>
  <hr/>
  <div id="log"></div>
  <hr/>
<hr/>
  <h2 style="margin-top: 20px;">Chat room</h2>
  <form id="joinChatRoom">
    <div class="input-field">
      <label>chat room id</label>
      <input type="text" placeholder="enter chat room id" id="join_chat_room_id">
    </div>
    <button type="button" id="join">Join chat room</button>
  <hr/>
  </form>
  <div class="input-field-chat-room">
    <label>Message</label>
    <input type="text" placeholder="Message" id="chatRoomMessage">
    <button type="button" id="send_chat_room_message">send</button>
  </div>
  <div id="chatRoomLog"></div>
</body>

</html>
